Skip to main content
GET
/
v2.0
/
largelanguagemodels
/
{largeLanguageModelId}
Get a large language model
curl --request GET \
  --url https://api-trial.cognigy.ai/new/v2.0/largelanguagemodels/{largeLanguageModelId} \
  --header 'X-API-Key: <api-key>'
{
  "name": "Large language model for customer service",
  "modelType": "gpt-3.5-turbo",
  "provider": "azureOpenAI",
  "connectionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "description": "Large language model for customer-facing AI Agents.",
  "modelGroup": "chat",
  "isCustomModel": true,
  "openAI": {
    "customModel": "gpt-4-32k-0613"
  },
  "anthropic": {
    "customModel": "claude-opus-4-0"
  },
  "azureOpenAI": {
    "resourceName": "<string>",
    "deploymentName": "<string>",
    "apiVersion": "<string>",
    "baseCustomUrl": [
      "https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/chat/completions?api-version=<apiVersion>",
      "https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/completions?api-version=<apiVersion>",
      "https://<resourceName>.openai.azure.com/openai/deployments/<deploymentName>/embeddings?api-version=<apiVersion>"
    ]
  },
  "googleVertexAI": {
    "location": "<string>",
    "apiEndpoint": "<string>",
    "publisher": "<string>"
  },
  "googleGemini": {
    "location": "<string>"
  },
  "alephAlpha": {
    "customModel": "luminous-003",
    "baseCustomUrl": "https://api.aleph-alpha.com"
  },
  "openAICompatible": {
    "customModel": "luminous-003",
    "baseCustomUrl": "https://own-llm-deployment.company.com/openai/v1",
    "customAuthHeader": "Ocp-Apim-Subscription-Key"
  },
  "resourceLevel": "project",
  "isDefault": false,
  "fallbacks": [
    {
      "isFallbackEnabled": true,
      "fallbackLLMReferenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "immediateFallBack": {
        "failedRequests": 123,
        "durationInMinutes": 123,
        "emailNotificationList": [
          "<string>"
        ]
      }
    }
  ],
  "referenceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "_id": "<string>",
  "createdAt": 1694518620,
  "lastChanged": 1694518620,
  "createdBy": "<string>",
  "lastChangedBy": "<string>"
}

Authorizations

X-API-Key
string
header
required

Supply the API Key in the HTTP-Header

Headers

Accept
enum<string>

The Accept header specifies the media type that the client expects in the response. Available options: application/json, application/hal+json, application/xml, text/xml, text/csv. The default value is application/json.

Available options:
application/json,
application/hal+json,
application/xml,
text/xml,
text/csv

Path Parameters

largeLanguageModelId
string
required

The unique identifier for the large language model.

Required string length: 24
Pattern: ^[a-z0-9]{24}$

Response

Returns large language model object.

The IEntityMeta defines meta information every entity within the system has. These are dates when a resource was created and modified as well as information about the user who initially created a resource and who modified it the last time.

name
string
required
Example:

"Large language model for customer service"

modelType
enum<string>
required
Available options:
gpt-3.5-turbo,
gpt-3.5-turbo-instruct,
gpt-4,
gpt-4o,
gpt-4o-mini,
gpt-4.1,
gpt-4.1-mini,
gpt-4.1-nano,
gpt-5,
gpt-5-nano,
gpt-5-mini,
gpt-5.4-mini,
gpt-5.4-nano,
gpt-5-chat-latest,
gpt-5.1,
gpt-5.2,
gpt-5.4,
text-embedding-ada-002,
luminous-extended-control,
luminous-embedding-128,
Pharia-1-Embedding-4608,
gemini-embedding-001,
claude-3-opus-20240229,
claude-sonnet-4-6,
custom-model,
custom-embedding-model,
gemini-2.0-flash,
gemini-2.0-flash-lite,
gemini-2.5-pro,
gemini-2.5-flash,
gemini-2.5-flash-lite,
mistral-large-2411,
mistral-small-2503,
pixtral-large-2411,
pixtral-12b-2409
provider
enum<string>
required
Available options:
azureOpenAI,
openAI,
anthropic,
googleVertexAI,
googleGemini,
alephAlpha,
awsBedrock,
mistral
connectionId
string<uuid>
required

The identifier for the large language model connection.

Required string length: 36
description
string
Example:

"Large language model for customer-facing AI Agents."

modelGroup
enum<string>
Available options:
chat,
completion,
embedding
isCustomModel
boolean
Example:

true

openAI
object

Metadata for OpenAI large language models.

anthropic
object

Metadata for Anthropic large language models.

azureOpenAI
object

Metadata for Azure OpenAI large language models.

googleVertexAI
object

Metadata for Google Vertex AI large language models.

googleGemini
object

Metadata for Google Gemini large language models.

alephAlpha
object

Metadata for Aleph Alpha large language models.

openAICompatible
object

Metadata for OpenAI-compatible large language models.

resourceLevel
enum<string>

Scope for project-level resources.

Available options:
project
isDefault
boolean

If set to true, the large language model is used as the default large language model when no other large language model is set.

Example:

false

fallbacks
object[]

(Alpha) The list of fallback large language models used when the primary large language model stops working.

referenceId
string<uuid>

The reference ID of the large language model.

_id
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
createdAt
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

lastChanged
integer

Unix-timestamp

Required range: 0 <= x <= 2147483647
Example:

1694518620

createdBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$
lastChangedBy
string
Required string length: 24
Pattern: ^[a-z0-9]{24}$